CVE-2017-15873

Priority
Description
The get_next_block function in archival/libarchive/decompress_bunzip2.c in
BusyBox 1.27.2 has an Integer Overflow that may lead to a write access
violation.
Assigned-to
mdeslaur
Package
Upstream:needs-triage
Ubuntu 12.04 ESM (Precise Pangolin):needed
Ubuntu 14.04 LTS (Trusty Tahr):released (1:1.21.0-1ubuntu1.4)
Ubuntu 16.04 LTS (Xenial Xerus):released (1:1.22.0-15ubuntu1.4)
Ubuntu 18.04 LTS (Bionic Beaver):released (1:1.27.2-1ubuntu4)
Ubuntu 18.10 (Cosmic Cuttlefish):released (1:1.27.2-1ubuntu4)
Ubuntu 19.04 (Disco Dingo):released (1:1.27.2-1ubuntu4)
Ubuntu 19.10 (Eoan):released (1:1.27.2-1ubuntu4)
Patches:
Upstream:https://git.busybox.net/busybox/commit/?id=0402cb32df015d9372578e3db27db47b33d5c7b0
More Information

Updated: 2019-04-22 21:27:38 UTC (commit 750f6738e68600bdf0b7c7ef543b49378c330e4e)